LIVE-BUILD(1)

NAME
live-build - System Build Komponenten

SYNTAX
lb chroot-hooks [--verbose]

lb chroot-hooks [--help]
lb chroot-hooks [--version]

BESCHREIBUNG
live-build enthält die Komponenten um ein Live System von einem Konfigurationsverzeichnis zu erstellen.

Der lb chroot-hooks Befehl führt Hook Dateien nach dem Chroot Stage aus.

SPEZIFIKATION
lb chroot-hooks führt alle Hook Dateien die sich im config/hooks Verzeichnis innerhalb des Konfigurationsvereichnisses befinden aus.

Hook Dateien benötigen weder einen speziellen Besitzer noch spezielle Zugriffsrechte. Sie werden automatisch als ausführbar markiert wenn sie von lb chroot-hooks ausgeführt werden.

Hook Dateien müssen entweder den Suffix *.hook oder *.hook.chroot haben.

Hook Dateien mit dem Suffix *.hook werden als erstes ausgeführt, Hook Dateien mit dem Suffix *.hook.chroot als zweites.

Hook Dateien werden von lb chroot-hooks in alphanummerischer Reihenfolge ausgeführt. Falls eine Hook Datei davon abhängt nach einer anderen Hook Datei ausgeführt zu werden, ist die empfohlene Vorgehensweise Nummern als Prefixes (nnnn, beginnend mit 0001) zu benutzen um die Ausführungsreihenfolge zu sichern.

Hook Dateien werden durch lb chroot-hooks in das chroot/live-build Verzeichnis kopiert. Sie werden innerhalb des chroot Verzeichnises ausgeführt und können das Konfigurationsverzeichnis in /live-build/config innerhalb des chroot Verzeichnisses lesen.

OPTIONEN

--verbose
    setzt verbose Option für mehr Ausgaben (Standardwert: aus).

-h, --help
    zeigt Hilfenachricht und beendet sich.

--version
    zeigt Versionsnummer des Programms und beendet sich.

DATEIEN

config/hooks/*.hook:
    Allgemeine Hook Dateien.

config/hooks/*.hook.chroot:
    Hook Dateien spezifisch für den Chroot Stage.

chroot:
    Verzeichnis in dem Hook Dateien ausgeführt werden.

chroot/live-build/config:
    bind mount des Konfigurationsverzeichnis innerhalb des chroot Verzeichnisses um von Hook Dateien gelesen werden zu können.

chroot/live-build:
    Verzeichnis in das die Hook Dateien kopiert werden.

SIEHE AUCH

lb-bootstrap-hooks(1)

lb-binary-hooks(1)

lb-source-hooks(1)

HOMEPAGE
Weitere Informationen über live-build und das Live Systems Projekt können auf der Homepage unter <http://live-systems.org/> und im Handbuch unter <http://live-systems.org/manual/> gefunden werden.

FEHLER
Fehler können durch Einreichen eines Fehlerberichtes für das live-build Paket im Bug Tracking System unter <http://bugs.debian.org/> oder durch Senden einer E-Mail an die Live Systems Mailing Liste unter <debian-live@lists.debian.org> (englischsprachig) mitgeteilt werden.

AUTOR
live-build wurde von Daniel Baumann <mail@daniel-baumann.ch> geschrieben.